Bug 126348 - gcj crashes when typename is omitted in declaration of instance var
gcj crashes when typename is omitted in declaration of instance var
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc32 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-19 15:03 EDT by Larry Morell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 18:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Morell 2004-06-19 15:03:05 EDT
Description of problem:  When running javac thereby invoking gcj
the compiler dies when a type is not supplied when declaring an
instance variable as private, public or protected


Version-Release number of selected component (if applicable):
$ gcj -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/libgcj.spec
rename spec lib to liborig
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--host=i386-redhat-linux
Thread model: posix
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)


How reproducible:
The following program causes the crash:

class T {
    public t;  // private crash also
}

Steps to Reproduce:
1.  javac T.java
2.
3.
  
Actual results:javac T.java
T.java:2: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.




Expected results:


Additional info:
Comment 1 Richard Henderson 2004-10-04 18:13:56 EDT
Fixed in gcc 3.4.

T.java:2: error: Identifier expected.
       public t;  // private crash also

Note You need to log in before you can comment on or make changes to this bug.